<?php

/* * ****************************************************
 * CjOverkill version 5.3.1
 * © Kaloyan Olegov Georgiev
 * http://www.icefire.org/
 * spam@icefire.org
 *
 * Please read the lisence before you start editing this script.
 *
 * ****************************************************** */

include ("../cj-conf.inc.php");
include ("../cj-functions.inc.php");
cjoverkill_connect ();

include ("security.inc.php");

if ( (!isset ( $_GET["id"] ) || $_GET["id"] == "") && $_POST["update"] == "" ) {
    cjoverkill_print_error ( "Please select a site first" );
}

if ( $_POST["update"] != "" ) {
    $site_domain = cjoverkill_adm_sanityze ( $_POST["site_domain"] );
    $site_id = cjoverkill_adm_sanityze ( $_POST["site_id"] );
    $site_url = cjoverkill_adm_sanityze ( $_POST["site_url"] );
    $site_name = cjoverkill_adm_sanityze ( $_POST["site_name"] );
    $site_desc = cjoverkill_adm_sanityze ( $_POST["site_desc"] );
    $site_niche = cjoverkill_adm_sanityze ( $_POST["site_niche"] );
    $site_multipage = cjoverkill_adm_sanityze ( $_POST["site_multipage"] );
    $site_incookie = cjoverkill_adm_sanityze ( $_POST["site_incookie"] );
    $ret_priority = cjoverkill_adm_sanityze ( $_POST["ret_priority"] );
    $max_ret = cjoverkill_adm_sanityze ( $_POST["max_ret"] );
    $max_prod = cjoverkill_adm_sanityze ( $_POST["max_prod"] );
    $min_prod = cjoverkill_adm_sanityze ( $_POST["min_prod"] );
    $max_px = cjoverkill_adm_sanityze ( $_POST["max_px"] );
    $max_ip = cjoverkill_adm_sanityze ( $_POST["max_ip"] );
    $max_clicks = cjoverkill_adm_sanityze ( $_POST["max_clicks"] );
    $max_stamp = cjoverkill_adm_sanityze ( $_POST["max_stamp"] );
    $cheatstart = cjoverkill_adm_sanityze ( $_POST["cheatstart"] );
    $trade_method = cjoverkill_adm_sanityze ( $_POST["trade_method"] );
    $px_enable = cjoverkill_adm_sanityze ( $_POST["px_enable"] );
    $stamp_enable = cjoverkill_adm_sanityze ( $_POST["stamp_enable"] );
    $ip_enable = cjoverkill_adm_sanityze ( $_POST["ip_enable"] );
    $clicks_enable = cjoverkill_adm_sanityze ( $_POST["clicks_enable"] );
    $country_filter = cjoverkill_adm_sanityze ( $_POST["country_filter"] );
    $client_filter = cjoverkill_adm_sanityze ( $_POST["client_filter"] );
    $method_filter = cjoverkill_adm_sanityze ( $_POST["method_filter"] );
    $ip_filter = cjoverkill_adm_sanityze ( $_POST["ip_filter"] );
    $blacklist = cjoverkill_adm_sanityze ( $_POST["blacklist"] );
    $min_uniq = cjoverkill_adm_sanityze ( $_POST["min_uniq"] );
    $toplist = cjoverkill_adm_sanityze ( $_POST["toplist"] );
    $toplist_generate = cjoverkill_adm_sanityze ( $_POST["toplist_generate"] );
    $toplist_trades = cjoverkill_adm_sanityze ( $_POST["toplist_trades"] );
    $site_base64 = cjoverkill_adm_sanityze ( $_POST["site_base64"] );
    $custom_field_name = cjoverkill_adm_sanityze ( $_POST["custom_field_name"] );
    if ( !isset ( $custom_field_name ) || $custom_field_name == "" ) {
        $custom_field_name = "Extra Description";
    }
    $altout = cjoverkill_adm_sanityze ( $_POST["altout"] );
    if ( $altout == "" ) {
        $altout = "http://payload.cjoverkill.com/cjoverkill.php";
    }
    $filter_url_default = cjoverkill_adm_sanityze ( $_POST["filter_url_default"] );
    if ( $filter_url_default == "" ) {
        $filter_url_default = "http://payload.cjoverkill.com/cj-filter.php";
    }
    //$nocookie_url_default=$_POST["nocookie_url_default"];
    //if ($nocookie_url_default==""){
    $nocookie_url_default = "http://payload.cjoverkill.com/cj-filter.php";
    //}
    $site_open = cjoverkill_adm_sanityze ( $_POST["site_open"] );
    $rules = cjoverkill_adm_sanityze ( $_POST["rules"] );

    $tmp_uri = parse_url ( $site_url );
    $tmp_url["host"] = strtolower ( $tmp_url["host"] );
    $domain = preg_replace ( "/^www\./", "", $tmp_uri["host"] );
    $site_domain = strtolower ( $site_domain );
    if ( $domain == $site_domain ) {
        @mysqli_query ( $cjoverkill_link, "UPDATE cjoverkill_sites SET
    		site_url='$site_url', site_name='$site_name', site_desc='$site_desc',
    		site_niche='$site_niche', site_multipage='$site_multipage', site_incookie='$site_incookie', 
    		ret_priority='$ret_priority', max_ret='$max_ret',
    		max_prod='$max_prod', min_prod='$min_prod', max_px='$max_px', max_ip='$max_ip',
    		max_clicks='$max_clicks', max_stamp='$max_stamp', cheatstart='$cheatstart',
    		trade_method='$trade_method', px_enable='$px_enable', stamp_enable='$stamp_enable',
    		ip_enable='$ip_enable', clicks_enable='$clicks_enable', country_filter='$country_filter',
    		client_filter='$client_filter', method_filter='$method_filter', ip_filter='$ip_filter',
    		blacklist='$blacklist', min_uniq='$min_uniq', toplist='$toplist', altout='$altout', 
    		filter_url_default='$filter_url_default', nocookie_url_default='$nocookie_url_default', 
    		site_open='$site_open', rules='$rules', custom_field_name='$custom_field_name',
    		toplist_generate='$toplist_generate', toplist_trades='$toplist_trades',
    		site_base64='$site_base64'
    		WHERE site_id='$site_id'" ) OR
                cjoverkill_db_error ( mysqli_error ( $cjoverkill_link ) );
        $tms = "$site_domain updated";
    } else {
        $tms = "$site_domain NOT updated. Url must match domain";
    }
} else {
    $site_id = cjoverkill_adm_sanityze ( $_GET["id"] );
    $tms = "Settings";
}

$sql = @mysqli_query ( $cjoverkill_link, "SELECT * FROM cjoverkill_sites WHERE site_id='$site_id'" );
$tmp = @mysqli_fetch_array ( $sql );
extract ( $tmp );
$sql = @mysqli_query ( $cjoverkill_link, "SELECT net_closed FROM cjoverkill_network_settings" );
$tmp = @mysqli_fetch_array ( $sql );
extract ( $tmp );
cjoverkill_disconnect ();

echo ("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
	<html>
	<head>
	<title>$tms</title>
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
	<link href=\"../cj-style.css\" rel=\"stylesheet\" type=\"text/css\">
	</head>
	<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\">
	<form action=\"site_edit.php\" method=\"POST\">
	<div align=\"center\"><strong><font size=\"4\">$tms for $site_domain<br>
	<br>
	</font></strong> </div>
	<table width=\"400\" border=\"1\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" bordercolor=\"#000000\">
	<tr>
	<td><table width=\"100%\" border=\"1\" cellpadding=\"2\" cellspacing=\"0\" class=\"normalrow\">
	<tr class=\"toprows\">
	<td colspan=\"2\">Site Info</td>
	</tr> 
	<tr>
	<td align=\"left\">Site URL:</td>
	<td align=\"left\"><input name=\"site_url\" type=\"text\" size=\"25\" maxlength=\"250\" value=\"$site_url\">
	<input name=\"site_domain\" type=\"hidden\" value=\"$site_domain\">
	<input name=\"site_id\" type=\"hidden\" value=\"$site_id\"></td>
	</tr>
	<tr>
	<td align=\"left\">Site Name:</td>
	<td align=\"left\"><input name=\"site_name\" type=\"text\" size=\"25\" maxlength=\"250\" value=\"$site_name\"></td>
	</tr>
	<tr>
	<td align=\"left\">Site Description:</td>
	<td align=\"left\"><input name=\"site_desc\" type=\"text\" size=\"25\" maxlength=\"250\" value=\"$site_desc\"></td>
	</tr>
	<tr class=\"toprows\">
	<td colspan=\"2\">Site Configuration</td>
	</tr>
	<tr>
	<td align=\"left\">Your Site Niche:</td>
	<td align=\"left\"><select name=\"site_niche\"><option value=\"other\" ");
if ( $site_niche == "other" || $site_niche == "" ) {
    echo ("selected");
}
echo (">Other</option>
		<option value=\"adult-girls\" ");
if ( $site_niche == "adult-girls" ) {
    echo ("selected");
}
echo (">Adult - 18 - 25 Years Girls</option>
        	<option value=\"adult-asian\" ");
if ( $site_niche == "adult-asian" ) {
    echo ("selected");
}
echo (">Adult - Asian</option>
        	<option value=\"adult-bbw\" ");
if ( $site_niche == "adult-bbw" ) {
    echo ("selected");
}
echo (">Adult - BBW</option>
        	<option value=\"adult-bigtits\" ");
if ( $site_niche == "adult-bigtits" ) {
    echo ("selected");
}
echo (">Adult - Big Tits</option>
        	<option value=\"adult-blowjobs\" ");
if ( $site_niche == "adult-blowjobs" ) {
    echo ("selected");
}
echo (">Adult - Blowjobs</option>
        	<option value=\"adult-black\" ");
if ( $site_niche == "adult-black" ) {
    echo ("selected");
}
echo (">Adult - Black - Ebony</option>
        	<option value=\"adult-bondage\" ");
if ( $site_niche == "adult-bondage" ) {
    echo ("selected");
}
echo (">Adult - Bondage</option>
        	<option value=\"adult-gay\" ");
if ( $site_niche == "adult-gay" ) {
    echo ("selected");
}
echo (">Adult - Gay</option>
        	<option value=\"adult-hardcore\" ");
if ( $site_niche == "adult-hardcore" ) {
    echo ("selected");
}
echo (">Adult - Hardcore</option>
        	<option value=\"adult-hentai\" ");
if ( $site_niche == "adult-hentai" ) {
    echo ("selected");
}
echo (">Adult - Hentai - Anime</option>
        	<option value=\"adult-interracial\" ");
if ( $site_niche == "adult-interracial" ) {
    echo ("selected");
}
echo (">Adult - Interracial</option>
        	<option value=\"adult-lesbian\" ");
if ( $site_niche == "adult-lesbian" ) {
    echo ("selected");
}
echo (">Adult - Lesbian</option>
        	<option value=\"adult-latina\" ");
if ( $site_niche == "adult-latina" ) {
    echo ("selected");
}
echo (">Adult - Latina</option>
        	<option value=\"adult-milf\" ");
if ( $site_niche == "adult-milf" ) {
    echo ("selected");
}
echo (">Adult - MILF</option>
        	<option value=\"adult-softcore\" ");
if ( $site_niche == "adult-softcore" ) {
    echo ("selected");
}
echo (">Adult - Softcore</option>
        	<option value=\"adult-spanking\" ");
if ( $site_niche == "adult-spanking" ) {
    echo ("selected");
}
echo (">Adult - Spanking</option>
        	<option value=\"adult-squirting\" ");
if ( $site_niche == "adult-squirting" ) {
    echo ("selected");
}
echo (">Adult - Squirting</option>
        	<option value=\"adult-pantyhose\" ");
if ( $site_niche == "adult-pantyhose" ) {
    echo ("selected");
}
echo (">Adult - Pantyhose</option>
        	<option value=\"adult-urination\" ");
if ( $site_niche == "adult-urination" ) {
    echo ("selected");
}
echo (">Adult - Urination</option>
        	<option value=\"adult-other\" ");
if ( $site_niche == "adult-other" ) {
    echo ("selected");
}
echo (">Adult - Other</option>
        	<option value=\"nonadult-games\" ");
if ( $site_niche == "nonadult-games" ) {
    echo ("selected");
}
echo (">Non Adult - Games</option>
        	<option value=\"nonadult-music\" ");
if ( $site_niche == "nonadult-music" ) {
    echo ("selected");
}
echo (">Non Adult - Music</option>
        	<option value=\"nonadult-ringtones\" ");
if ( $site_niche == "nonadult-ringtones" ) {
    echo ("selected");
}
echo (">Non Adult - Ringtones</option>
        	<option value=\"nonadult-fun\" ");
if ( $site_niche == "nonadult-fun" ) {
    echo ("selected");
}
echo (">Non Adult - Fun</option>
        	<option value=\"nonadult-other\" ");
if ( $site_niche == "nonadult-other" ) {
    echo ("selected");
}
echo (">Non Adult - Other</option>");
/*

  Other

  Adult - 18 - 25 Years Girls
  Adult - Asian
  Adult - BBW
  Adult - Big Boobs
  Adult - Blowjobs
  Adult - Black - Ebony
  Adult - Bondage
  Adult - Gay
  Adult - Hardcore
  Adult - Hentai - Anime
  Adult - Interracial
  Adult - Lesbian
  Adult - Latina
  Adult - MILF
  Adult - Softcore
  Adult - Spanking
  Adult - Squirting
  Adult - Stockings - Pantyhose
  Adult - Urination
  Adult - Other

  Non Adult - Games
  Non Adult - Music
  Non Adult - Ringtones
  Non Adult - Fun
  Non Adult - Other

 */
echo ("
	</td>
	</tr>
	<tr>
	<td align=\"left\">Multipage Configuration:</td>
	<td align=\"left\"><select name=\"site_multipage\"><option value=\"1\" ");
if ( $site_multipage == "1" ) {
    echo ("selected");
}
echo (">Multiple Page Site</option>
		<option value=\"0\" ");
if ( $site_multipage == "0" ) {
    echo ("selected");
}
echo (">Single Page Site</option>");

echo ("
    </td>
    </tr>
    <tr>
	<td align=\"left\">Cookie time (seconds):</td>
	<td align=\"left\"><input name=\"site_incookie\" type=\"text\" size=\"25\" maxlength=\"6\" value=\"$site_incookie\">sec</td>
	</tr>
	<tr>
	<td align=\"left\">Toplist path:</td>
	<td align=\"left\"><input name=\"toplist\" type=\"text\"  size=\"25\" maxlength=\"250\" value=\"$toplist\"></td>
	</tr>
	<tr>
	<td align=\"left\">Custom Toplist Field:</td>
	<td align=\"left\"><input name=\"custom_field_name\" type=\"text\"  size=\"25\" maxlength=\"250\" value=\"$custom_field_name\"></td>
	</tr>
	<td align=\"left\">Toplist Generation:</td>
	<td align=\"left\"><select name=\"toplist_generate\"><option value=\"1\" ");
if ( $toplist_generate == "1" ) {
    echo ("selected");
}
echo (">Generate Toplist</option>
		<option value=\"0\" ");
if ( $toplist_generate == "0" ) {
    echo ("selected");
}
echo (">No Toplist</option>");
echo ("
    </td>
    </tr>
    <tr>
	<td align=\"left\">Toplist Length:</td>
	<td align=\"left\"><input name=\"toplist_trades\" type=\"text\"  size=\"25\" maxlength=\"250\" value=\"$toplist_trades\"></td>
	</tr>
	<tr>
	<td align=\"left\">Base 64 URLs:</td>
	<td align=\"left\"><select name=\"site_base64\"><option value=\"0\" ");
if ( $site_base64 == "0" ) {
    echo ("selected");
}
echo (">Normal URL parameter</option>
		<option value=\"1\" ");
if ( $site_base64 == "1" ) {
    echo ("selected");
}
echo (">Base 64 URL enabled</option>");

echo ("
    </td>
    </tr>
	<tr>
	<tr class=\"toprows\">
	<td colspan=\"2\">Default Trade Settings</td>
	</tr>
	<tr>
	<td align=\"left\">Default Return Priority:</td>
	<td align=\"left\"><select name=\"ret_priority\">");
for ( $z = 1; $z <= 10; $z++ ) {
    echo ("<option value=\"$z\" ");
    if ( $ret_priority == $z ) {
        echo ("selected");
    }
    echo (">$z</option>");
}
echo ("
	</td>
	</tr>
	<tr>
	<td align=\"left\">Default Max Return %:</td>
	<td align=\"left\"><input name=\"max_ret\" type=\"text\" size=\"25\" maxlength=\"5\" value=\"$max_ret\">%</td>
	</tr>
	<tr>
	<td align=\"left\">Default Max Prod:</td>
	<td align=\"left\"><input name=\"max_prod\" type=\"text\" size=\"25\" maxlength=\"5\" value=\"$max_prod\">%</td>
	</tr>
	<tr>
	<td align=\"left\">Default Min Prod:</td>
	<td align=\"left\"><input name=\"min_prod\" type=\"text\" size=\"25\" maxlength=\"5\" value=\"$min_prod\">%</td>
	</tr>
	<tr>
	<td align=\"left\">Default Max Proxy %:</td>
	<td align=\"left\"><input name=\"max_px\" type=\"text\" size=\"25\" maxlength=\"2\" value=\"$max_px\">%</td>
	</tr>
	<tr>
	<td align=\"left\">Default Max Repeated IPs:</td>
	<td align=\"left\"><input name=\"max_ip\" type=\"text\" size=\"25\" maxlength=\"2\" value=\"$max_ip\">raws</td>
	</tr>
	<tr>
	<td align=\"left\">Default Max Clicks:</td>
	<td align=\"left\"><input name=\"max_clicks\" type=\"text\" size=\"25\" maxlength=\"11\" value=\"$max_clicks\">clicks</td>
	</tr>
	<tr>
	<td align=\"left\">Default Max Seconds Between Clicks:</td>
	<td align=\"left\"><input name=\"max_stamp\" type=\"text\" size=\"25\" maxlength=\"11\" value=\"$max_stamp\">sec</td>
	</tr>
	<tr>
	<td align=\"left\">Minimum Hits To Check For Cheats:</td>
	<td align=\"left\"><input name=\"cheatstart\" type=\"text\" size=\"25\" maxlength=\"11\" value=\"$cheatstart\">uniq</td>
	</tr>
	<tr class=\"toprows\">
	<td colspan=\"2\">Trading Method</td>
	</tr>
	<tr>
	<td align=\"left\">Trading Method:</td>
	<td align=\"left\"><select name=\"trade_method\"><option value=\"1\" ");
if ( $trade_method == 1 ) {
    echo ("selected");
}
echo (">Overkill</option>
	<option value=\"2\" ");
if ( $trade_method == 2 ) {
    echo ("selected");
}
echo (">Pure Productivity</option>
	<option value=\"3\" ");
if ( $trade_method == 3 ) {
    echo ("selected");
}
echo (">Uniques</option>
	</td>
	</tr>
	<tr class=\"toprows\">
	<td colspan=\"2\">Cheat Protections</td>
	</tr>
	<tr>
	<td align=\"left\">Proxy Protection:</td>
	<td align=\"left\"><select name=\"px_enable\"><option value=\"1\" ");
if ( $px_enable == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $px_enable == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Timing Protection:</td>
	<td align=\"left\"><select name=\"stamp_enable\"><option value=\"1\" ");
if ( $stamp_enable == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $stamp_enable == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Repeated IP Protection:</td>
	<td align=\"left\"><select name=\"ip_enable\"><option value=\"1\" ");
if ( $ip_enable == 1 ) {
    echo ("selected");
}
echo (">Enabled Disable Trade</option>\n
	<option value=\"2\" ");
if ( $ip_enable == 2 ) {
    echo ("selected");
}
echo (">Enabled Blacklist IP</option>
	<!-- <option value=\"3\" ");
if ( $ip_enable == 3 ) {
    echo ("selected");
}
echo (">Enabled Ignore IP</option> -->
	<option value=\"0\" ");
if ( $ip_enable == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Excesive Clicks Protection:</td>
	<td align=\"left\"><select name=\"clicks_enable\"><option value=\"1\" ");
if ( $clicks_enable == 1 ) {
    echo ("selected");
}
echo (">Enabled Disable Trade</option>\n
	<option value=\"2\" ");
if ( $clicks_enable == 2 ) {
    echo ("selected");
}
echo (">Enabled Blacklist IP</option>
	<!-- <option value=\"3\" ");
if ( $clicks_enable == 3 ) {
    echo ("selected");
}
echo (">Enabled Ignore IP</option> -->
	<option value=\"0\" ");
if ( $clicks_enable == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr class=\"toprows\">
	<td colspan=\"2\">Traffic Filter</td>
	</tr>
	<tr>
	<td align=\"left\">Country Filter:</td>
	<td align=\"left\"><select name=\"country_filter\"><option value=\"1\" ");
if ( $country_filter == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $country_filter == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Client Filter:</td>
	<td align=\"left\"><select name=\"client_filter\"><option value=\"1\" ");
if ( $client_filter == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $client_filter == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Request Method Filter:</td>
	<td align=\"left\"><select name=\"method_filter\"><option value=\"1\" ");
if ( $method_filter == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $method_filter == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Blacklisted IP Filter:</td>
	<td align=\"left\"><select name=\"ip_filter\"><option value=\"1\" ");
if ( $ip_filter == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $ip_filter == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Blacklisted Site Filter:</td>
	<td align=\"left\"><select name=\"blacklist\"><option value=\"1\" ");
if ( $ip_filter == 1 ) {
    echo ("selected");
}
echo (">Enabled</option>\n
	<option value=\"0\" ");
if ( $ip_filter == 0 ) {
    echo ("selected");
}
echo (">Disabled</option>
	</td>
	</tr>
	<tr class=\"toprows\">
	<td colspan=\"2\">Other Settings</td>
	</tr>
	<tr>
	<td align=\"left\">
	<a title=\"A trade will be disabled if it has not sent 'Minimum Hits In' the last 24 hours\">Minimum Hits In:</a></td>
	<td align=\"left\"><input name=\"min_uniq\" type=\"text\"  size=\"25\" maxlength=\"11\" value=\"$min_uniq\">uniq</td>
	</tr>	
	<tr>
	<td align=\"left\">Alternative Out URL:</td>
	<td align=\"left\"><input name=\"altout\" type=\"text\" size=\"25\" maxlength=\"250\" value=\"$altout\"></td>
	</tr>
	<tr>
	<td align=\"left\">Default filter URL:</td>
	<td align=\"left\"><input name=\"filter_url_default\" type=\"text\" size=\"25\" maxlength=\"250\" value=\"$filter_url_default\"></td>
	</tr>
	");
if ( $net_closed == 0 ) {
    echo ("<tr>
	<td align=\"left\"><B><font color=\"#FF0000\">Network is closed</font></b></td>
	<td align=\"left\">Check Network Settings panel</td>
	</tr>
	");
}
echo ("
	<td align=\"left\">Signup Page Status:</td>
	<td align=\"left\"><select name=\"site_open\">
	<option value=\"1\" ");
if ( $site_open == 1 ) {
    echo ("selected");
}
echo (">Enabled - Normal</option>\n
	<option value=\"0\" ");
if ( $site_open == 0 ) {
    echo ("selected");
}
echo (">Disabled - No new trades</option>\n
	<option value=\"2\" ");
if ( $site_open == 2 ) {
    echo ("selected");
}
echo (">Enabled- New Trades Auto Disabled</option>
	</td>
	</tr>
	<tr>
	<td align=\"left\">Rules:</td>
	<td align=\"left\"><textarea cols=\"25\" rows=\"10\" name=\"rules\">$rules</textarea></td>
	</tr>
	<tr>
	<td align=\"left\">&nbsp;</td>
	<td align=\"left\"><input name=\"update\" type=\"submit\" class=\"buttons\" value=\"Update Settings\"></td>
	</tr>
	</table></td>
	</tr> 
	</table>
	<p align=\"center\"><font size=\"2\"><a href=\"javascript:window.close()\">Close Window</a></font></p>
	</form>
	</body>
	</html>
	");

?>
